/*******************************************************************************
 * FoxOnlineStatsWriteWeaponUse generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxOnlineStatsWriteWeaponUse extends ZeOnlineStatsWrite
    native;

var int ConfigID;
var class<Weapon> WeaponClass;

// Export UFoxOnlineStatsWriteWeaponUse::execShouldWriteStats(FFrame&, void* const)
native function bool ShouldWriteStats();

// Export UFoxOnlineStatsWriteWeaponUse::execFinalize(FFrame&, void* const)
native function Finalize();

function IncrementDamageDealt(int TheDamage, FoxPawn.ZoomState InZoomState)
{
    // End:0x33
    if(InZoomState >= 2)
    {
        AddGenericIntStat('DamageDealt', TheDamage);
    }
    // End:0x4F
    else
    {
        AddGenericIntStat('damagedealtads', TheDamage);
    }
    //return;    
}

function IncrementDamageReceived(int TheDamage, bool bIsInVehicle)
{
    // End:0x2B
    if(!bIsInVehicle)
    {
        AddGenericIntStat('damagereceived', TheDamage);
    }
    //return;    
}

function IncrementHealAmount(int theIncrementValue)
{
    AddGenericIntStat('healedcount', 1);
    AddGenericIntStat('healedamount', theIncrementValue);
    //return;    
}

function IncrementRevivals()
{
    AddGenericIntStat('revivals', 1);
    //return;    
}

function IncrementAssists()
{
    AddGenericIntStat('Assists', 1);
    //return;    
}

function IncrementKills(class<FoxDamageType> inDamageType)
{
    AddGenericIntStat('Kills', 1);
    // End:0x74
    if(inDamageType.default.StatName != "")
    {
        AddGenericIntStat(name(string('kills_') $ inDamageType.default.StatName), 1);
        J0x74:
    }
    // End:0x74
    else
    {
    }
    //return;    
}

function IncrementHardsuitBurns()
{
    AddGenericIntStat('hardsuitburnouts', 1);
    //return;    
}

function IncrementKillsInHardsuit()
{
    AddGenericIntStat('killsinhardsuit', 1);
    //return;    
}

function IncrementKillsInHardsuitWithHeadshot()
{
    AddGenericIntStat('headshotsinhardsuit', 1);
    //return;    
}

function IncrementBotKills()
{
    AddGenericIntStat('killsbot', 1);
    //return;    
}

function IncrementRoundsFired(FoxPawn.ZoomState InZoomState)
{
    // End:0x2B
    if(InZoomState >= 2)
    {
        AddGenericIntStat('roundsfiredads', 1);
    }
    // End:0x3F
    else
    {
        AddGenericIntStat('RoundsFired', 1);
    }
    //return;    
}

function IncrementRoundsHit(FoxPawn.ZoomState InZoomState)
{
    // End:0x2B
    if(InZoomState >= 2)
    {
        AddGenericIntStat('roundshitads', 1);
    }
    // End:0x3F
    else
    {
        AddGenericIntStat('RoundsHit', 1);
    }
    //return;    
}

function IncrementHeadshots(FoxPawn.ZoomState InZoomState)
{
    // End:0x2B
    if(InZoomState >= 2)
    {
        AddGenericIntStat('headshotsads', 1);
    }
    // End:0x3F
    else
    {
        AddGenericIntStat('HeadShots', 1);
    }
    //return;    
}

function IncrementMeleeAttempts()
{
    AddGenericIntStat('meleeattempts', 1);
    //return;    
}

function IncrementMeleeHits()
{
    AddGenericIntStat('meleehits', 1);
    //return;    
}

function IncrementDestroyedEquipment()
{
    AddGenericIntStat('destroyedequipment', 1);
    //return;    
}

function IncrementDestroyedTurret()
{
    AddGenericIntStat('destroyedturrets', 1);
    //return;    
}

function IncrementRepairAmount(int theIncrementValue)
{
    AddGenericIntStat('repairs', 1);
    //return;    
}

function IncrementHardsuitRepairAmount(int theIncrementValue)
{
    AddGenericIntStat('repairedhardsuits', 1);
    //return;    
}

function IncrementTurretRepairAmount(int theIncrementValue)
{
    AddGenericIntStat('repairedturrets', 1);
    //return;    
}

function IncrementBarricadeRepairAmount(int theIncrementValue)
{
    AddGenericIntStat('repairedbarricades', 1);
    //return;    
}

function IncrementDeaths()
{
    AddGenericIntStat('Deaths', 1);
    //return;    
}

function IncrementSuicides()
{
    AddGenericIntStat('Suicides', 1);
    //return;    
}

function IncrementJumps()
{
    AddGenericIntStat('jumps', 1);
    //return;    
}

function IncrementReloads()
{
    AddGenericIntStat('reloads', 1);
    //return;    
}

function IncrementCrouches()
{
    AddGenericIntStat('crouches', 1);
    //return;    
}

function IncrementFootsteps()
{
    AddGenericIntStat('FootSteps', 1);
    //return;    
}

function IncrementSprints()
{
    AddGenericIntStat('sprints', 1);
    //return;    
}

function StartTaunt()
{
    AddGenericIntStat('taunts', 1);
    //return;    
}

function FinishTaunt(int CPAmount)
{
    AddGenericIntStat('tauntf', 1);
    // End:0x3F
    if(CPAmount > 0)
    {
        AddGenericIntStat('tauntcp', CPAmount);
    }
    //return;    
}

function AddTimeUsed(float InSeconds)
{
    AddGenericFloatStat('timeused', InSeconds);
    //return;    
}

// Export UFoxOnlineStatsWriteWeaponUse::execAddDistanceTraveled(FFrame&, void* const)
native function AddDistanceTraveled(int theDistance);

// Export UFoxOnlineStatsWriteWeaponUse::execAddDistanceSprinted(FFrame&, void* const)
native function AddDistanceSprinted(int theDistance);

defaultproperties
{
    StatsGroupName=wpnusage
}